<?php

namespace Dipper\Foundation\Http\GuzzleMiddlewares;

/**
 * Middleware interface for Guzzle requests.
 */
interface MiddlewareInterface
{
    /**
     * Handle Guzzle requests.
     *
     * @return void
     */
    public function handle();

    /**
     * get middlware name.
     *
     * @return void
     */
    public function getMiddlewareName();
}
